> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vlm.run/llms.txt
> Use this file to discover all available pages before exploring further.

# List domains

> Get the list of supported domains.

<RequestExample>
  ```python Python theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  !pip install vlmrun

  from vlmrun.client import VLMRun

  client = VLMRun(api_key="<VLMRUN_API_KEY>")
  response = client.hub.list_domains()
  ```

  ```typescript Node.js SDK theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  import { VlmRun } from "vlmrun";

  const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
  const response = await client.hub.listDomains();
  console.log(response);
  ```
</RequestExample>

## Description

This endpoint returns the list of supported domains / schemas in the [VLM Run Hub](https://github.com/vlm-run/vlmrun-hub).


## OpenAPI

````yaml GET /v1/hub/domains
openapi: 3.1.0
info:
  title: VLM Run Unified Server
  description: Unified server for VLM Run Agent and API
  termsOfService: https://vlm.run/terms-of-service
  contact:
    name: VLM Run Support Team
    url: https://vlm.run/
    email: support@vlm.run
  version: 2026-05-19.0
servers: []
security: []
paths:
  /v1/hub/domains:
    get:
      tags:
        - hub
      summary: List Domains
      description: Get the list of supported domains.
      operationId: list_domains_v1_hub_domains_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HubDomainInfo'
                type: array
                title: Response List Domains V1 Hub Domains Get
components:
  schemas:
    HubDomainInfo:
      properties:
        domain:
          type: string
          title: Domain
          description: The domain to get the info for.
      type: object
      required:
        - domain
      title: HubDomainInfo
      description: 'Response model for the hub domain info: /v1/hub/domains'

````